/*
 * @(#)IZFileable.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */
package jp.co.iti.fagot;

import javax.swing.Action;
/**
 * ファイルIO系コンポーネントのインターフェイス
 */
public interface IZFileable {

	/**
	 * ファイルを開く
	 * @param szFile 開くファイル名(nullの時新規作成)
	 */
	public boolean open(String szFile) ;

	/**
	 * ファイルを上書き保存
	 */
	public boolean save() ;

	/**
	 * ファイル名を付けて保存
	 * @param szFile ファイル名
	 */
	public boolean saveAs(String szFile) ;

	/**
	 * セーブ可能か？
	 * 「新規作成」の場合、「書込み不可」の場合のみtrue
	 */
	public boolean canSave() ;

	/**
	 * 直前に開いたファイルの設定
	 * @param szRecentMenu メニュー項目名
	 * @param szRecentFile 直前に開いたファイル
	 */
	public Action createRecentAction(String szRecentMenu,String szRecentFile) ;
}
